summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2021-06-27 11:13:50 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2021-06-27 11:13:50 +0200
commit1caf75c2e258baeabf70bd3b08c8d4893b5653b6 (patch)
treebc213812f46948a317eb9533315590dca626f249 /bin
parent5d9aaa2e4df99c77c5554a6e7954ff73eecc5216 (diff)
downloadptxdist-1caf75c2e258baeabf70bd3b08c8d4893b5653b6.tar.gz
ptxdist-1caf75c2e258baeabf70bd3b08c8d4893b5653b6.tar.xz
ptxdist: abort earlier if no ptxconfig is found
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index c41065311..ed02bb1ce 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -267,7 +267,7 @@ _get_config_ptx() {
_check_config_ptx() {
local configfile_version
- _get_config_ptx
+ _get_config_ptx || return
check_version "${configfile_version}" || {
ptxd_dialog_msgbox \
@@ -2369,7 +2369,7 @@ setup_auto_version()
saved_ptxconfig="${PTXDIST_PTXCONFIG}"
PTXDIST_PTXCONFIG="${ptxd_reply[${#ptxd_reply[@]}-1]}"
- _get_config_ptx
+ _get_config_ptx || return
PTXDIST_PTXCONFIG="${saved_ptxconfig}"
if PTXDIST_FORCE= check_version "${configfile_version}"; then
# this is already the correct version